import * as Yup from "yup";
import i18n from "../i18n";
export default Yup.object().shape({
  firmName: Yup.string().required(i18n.t("editProfile.labelNameRequired")),
  firmPIB: Yup.string()
    .required(i18n.t("editProfile.labelPIBRequired"))
    .min(9, i18n.t("register.PIBnoOfCharacters"))
    .max(9, i18n.t("register.PIBnoOfCharacters")),
  firmLocation: Yup.string().required(
    i18n.t("editProfile.labelLocationRequired")
  ),
  firmWebsite: Yup.string(),
  firmApplink: Yup.string(),
  firmPhone: Yup.string()
    .required(i18n.t("editProfile.labelPhoneRequired"))
    .min(6, i18n.t("editProfile.labelPhoneValid"))
    .max(14, i18n.t("editProfile.labelPhoneValid")),
});
